#ifndef SON_BOUTON_LOOP_H
#define SON_BOUTON_LOOP_H

#include <QWidget>
#include <QSound>
#include <QMediaPlaylist>
#include <QMediaPlayer>
#include <QTimer>
#include <QCheckBox>
#include <QSlider>
#include <QRadioButton>

namespace Ui {
class Son_bouton;
}

class Son_bouton : public QWidget
{
    Q_OBJECT

public:
    explicit Son_bouton(QWidget *parent = nullptr);
    ~Son_bouton();

private slots:
    void on_timer();

private:
    // l'interface utilisateur
    Ui::Son_bouton *ui;

   // plusieurs mediacontents, un par son
   QVector <QMediaContent> sounds;

   // une liste à 2 dimensions de mediaplayers
   QVector< QVector <QMediaPlayer*> > players;

   // éléments de l'interface
   QVector < QVector <QCheckBox *> > checkboxes;        // une liste à 2 dimensions de checkbox
   QVector < QSlider*> tempoSliders;                    // une liste de slider (1 par temps)
   QVector <QRadioButton *> progressRadioButtons;       // une liste de radiobutton (1 par temps)

   // nombre de players, dépendra du nombre de fichiers son
   int nsounds;         // nombre de sons à jouer
   int ntemps;          // nombre de temps
   int temps;           // numéro du temps courant

   // le métronome
   QTimer *timer;

};

#endif // SON_BOUTON_LOOP_H
